Loading...
Searching...
No Matches
EST_Contents Class Reference

`#include <include/EST_Contents.h>`

## Public Member Functions

| EST_Contents (void *p, void(*free_func)(void *p))
void | set_contents (void *p, void(*free_func)(void *p))
void * | get_contents () const
int | refs () const
EST_Contents & | operator= (const EST_Contents &c)

## Detailed Description

More contents

Definition at line 71 of file EST_Contents.h.

## Constructor & Destructor Documentation

## EST_Contents() [1/2]

EST_Contents::EST_Contents | ( |  | ) |

inline

Definition at line 79 of file EST_Contents.h.

## EST_Contents() [2/2]

EST_Contents::EST_Contents | ( | void * | p,
|  | void(* | free_func )(void *p) )

inline

Definition at line 80 of file EST_Contents.h.

## ~EST_Contents()

EST_Contents::~EST_Contents | ( |  | ) |

inline

Definition at line 82 of file EST_Contents.h.

## Member Function Documentation

## set_contents()

void EST_Contents::set_contents | ( | void * | p,
|  | void(* | free_func )(void *p) )

inline

Definition at line 83 of file EST_Contents.h.

## get_contents()

void * EST_Contents::get_contents | ( |  | ) | const

inline

Definition at line 85 of file EST_Contents.h.

## refs()

int EST_Contents::refs | ( |  | ) | const

inline

Definition at line 88 of file EST_Contents.h.

## operator=()

EST_Contents & EST_Contents::operator= | ( | const EST_Contents & | c | ) |

inline

Definition at line 90 of file EST_Contents.h.

The documentation for this class was generated from the following file:

- include/EST_Contents.h